## ros-indigo-cob-relayboard 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_relayboard)

find_package(catkin REQUIRED COMPONENTS cob_msgs roscpp std_msgs)

catkin_package(
  INCLUDE_DIRS common/include
  LIBRARIES ${PROJECT_NAME}_SerialIO ${PROJECT_NAME}
)

### BUILD ###
include_directories(common/include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}_SerialIO common/src/SerialIO.cpp)
add_library(${PROJECT_NAME} common/src/SerRelayBoard.cpp common/src/StrUtil.cpp)
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_SerialIO)

add_executable(cob_relayboard_node ros/src/cob_relayboard_node.cpp)
add_dependencies(cob_relayboard_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(cob_relayboard_node ${PROJECT_NAME} ${catkin_LIBRARIES})

### INSTALL ###
install(TARGETS cob_relayboard_node ${PROJECT_NAME}_SerialIO ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY common/include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(PROGRAMS ros/src/relayboard_sim.py ros/src/new_method.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-cob-relayboard (0.6.12-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-relayboard (0.6.10-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.9-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.8-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.7-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.6-0trusty) trusty; urgency=high

  * use aggregated power state message
  * tabs vs. spaces
  * harmonize publisher queue sizes
  * relaynode delete slashes topics
  * Contributors: Felix Gruber, ipa-fmw, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.5-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.4-0trusty) trusty; urgency=high

  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * add_dependencies EXPORTED_TARGETS
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.3-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-relayboard (0.6.1-0trusty) trusty; urgency=high

  * Deleted CurrentMeasurement.msg
  * Re-add relayboard_sim
  * fix install tags
  * Current Measurement
  * Current measurement
  * Removed emergency model and custom Relayboard
  * Merge branch 'groovy_dev' of https://github.com/ipa320/cob_driver into groovy_dev
    Conflicts:
    cob_relayboard/ros/src/new_method.py
    cob_relayboard/ros/src/relayboard_sim.py
  * Thrash
  * Emergency stop modeling
    * First Working Version for the Care-o-Bot
  * Contributors: Thiago de Freitas, ipa-cob4-2, ipa-nhg, thiagodefreitas, mailto:thiagodefreitas@gmail.com

 -- Matthias Gruhler <mig@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-indigo-cob-relayboard (0.6.0-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 08 Sep 2014 22:00:00 -0000

ros-indigo-cob-relayboard (0.5.7-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * move EmergencyStopState.msg to cob_msgs + PowerBoardState works again
  * Added queue_size=1 paramter to Publisher initialisation.
  * changes due to introduction of cob_msgs
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix tabs vs spaces
  * Fix python indentation problems
  * Contributors: Alexander Bubeck, Denis Štogl, Felix Messmer, Florian Weisshardt, Scott K Logan, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-relayboard (0.5.6-0trusty) trusty; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * move EmergencyStopState.msg to cob_msgs + PowerBoardState works again
  * Added queue_size=1 paramter to Publisher initialisation.
  * changes due to introduction of cob_msgs
  * small changes to remove warnings
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * fix tabs vs spaces
  * Fix python indentation problems
  * Contributors: Alexander Bubeck, Denis Štogl, Felix Messmer, Florian Weisshardt, Scott K Logan, ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Mon, 25 Aug 2014 22:00:00 -0000

ros-indigo-cob-relayboard (0.5.3-0trusty) trusty; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Matthias Gruhler <mig@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-relayboard (0.5.2-0trusty) trusty; urgency=high



 -- Matthias Gruhler <mig@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-cob-relayboard (0.5.1-0trusty) trusty; urgency=high

  * some install tag updates
  * cleaup merge hell
  * Revert "added pr2_msgs to dependencies" as this change has been introduced in commit cc92fd0e590b607b29ea73bcdd
    This reverts commit 203b52f3d9d4b26ef0db8e415e1aa3e883fbb708.
  * merge changes from frederikhegger, #80 <https://github.com/ipa320/cob_driver/issues/80>
  * added pr2_msgs to dependencies
  * changes for hydro
  * fix compile bug
  * merge
  * common/src/SerRelayBoard.cpp
  * Missed CmdRelaisBoard.h file
  * Added version 3 for relayboard
  * fix compiling bug for ubuntu > precise
  * Installation stuff
  * use v not mV
  * use V and not mV
  * removed power state publisher
  * cleaned up CMakeLists and added install directives
  * further modifications for catkin, now everything is compiling and linking
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * More organization to the voltage commit
  * Organizing the voltage filter commit


=== debian/control ===
Source: ros-indigo-cob-relayboard
Section: misc
Priority: extra
Maintainer: Matthias Gruhler <mig@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cob-msgs, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/cob_relayboard
Standards-Version: 3.9.2

Package: ros-indigo-cob-relayboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cob-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-std-msgs
Description: cob_relayboard

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-relayboard//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
